using GraphicsManager.Enums;
using GraphicsManager.Objects;
using GraphicsManager.Objects.Core;
using Luski.GUI.MainScreen.UI.Generic;

namespace Luski.GUI.MainScreen.UI.LuskiControls.SettingsMenuBase.Core;

public class PageFlow : LuskiFlow, ISettingsPage
{
    public string PageName
    {
        get
        {
            return pn;
        }
        set
        {
            pn = value;
            TitleLable.Text = $" \n{value}\n ";
        }
    }
    public FontInteraction TitleFont { get; set; }

    public Label TitleLable;
    private string pn = "Blank Page";
    
    public PageFlow()
    {
        TitleFont = Globals.DefaultFont.Clone();
        TitleFont.FontSize = FontSize.Bold;
        TitleFont.PixelHeight = (uint)(TitleFont.PixelHeight * 1.4f);
        Controls.Add(TitleLable = new Label(TitleFont)
        {
            Text = $" \nBlank Page\n "
        });
        base.Visible = false;
        base.Size = new(945.ScaleInt(), 896.ScaleInt());
    }
}